/*
 * Compat.
 */
#include "kernel.h"
#include "acpi.h"
#include "aml.h"

Biobuf* bout;

void
incref(Ref *r)
{
	r->ref++;
}

int
decref(Ref *r)
{
	return --(r->ref);
}

void
kstrdup(char **p, char *s)
{
	char *prev;

	prev = *p;
	*p = strdup(s);
	if(*p == nil)
		sysfatal("no memory");
	free(prev);
}
