/*
 * Kernel compat.
 * This is to allow remaining code to be ready
 * for the kernel without manual editing.
 */

#include <u.h>
#include <libc.h>
#include <bio.h>

typedef struct Label
{
	jmp_buf b;
} Label;
typedef
struct Ref{
	long ref;
} Ref;

typedef
struct Pcidev{
	int tbdf;
}Pcidev;

#define BusPCI 0
#define MKBUS(t,b,d,f)	(((t)<<24)|(((b)&0xFF)<<16)|(((d)&0x1F)<<11)|(((f)&0x07)<<8))

#define perfticks()	nsec()
#define setlabel(x)	setjmp((x)->b)
#define gotolabel(x)	longjmp((x)->b, 1)	
#define panic(...)	(Bterm(bout), print("\n"), print(__VA_ARGS__), print("\n"), abort())
#define delay(x)	
#define microdelay(x)
#define vmap(a, b)	((void*)(a))
#define vunmap(a,b)	USED(a)
#define	inb(x)		x
#define ins(x)		x
#define inl(x)		x
#define outb(x,y)	USED(x);USED(y)
#define outs(x,y)	USED(x);USED(y)
#define outl(x,y)	USED(x);USED(y)
#define pcicfgr8(a,b)	b-b
#define pcicfgw8(a,b,c)	USED(a);USED(b);USED(c)
#define pcicfgr16(a,b)	b-b
#define pcicfgw16(a,b,c)	USED(a);USED(b);USED(c)
#define pcicfgr32(a,b)	b-b
#define pcicfgw32(a,b,c)	USED(a);USED(b);USED(c)

void incref(Ref*);
int decref(Ref*);
void kstrdup(char**, char*);
void dbgprint(char d, char *fmt, ...);

#pragma varargck argpos amlprint 2

#define FLUSH	Bflush(bout)
extern	Biobuf* bout;

